summaryrefslogtreecommitdiff
path: root/polux/application/agent/test/script/shell/stressScript
diff options
context:
space:
mode:
Diffstat (limited to 'polux/application/agent/test/script/shell/stressScript')
-rwxr-xr-xpolux/application/agent/test/script/shell/stressScript25
1 files changed, 25 insertions, 0 deletions
diff --git a/polux/application/agent/test/script/shell/stressScript b/polux/application/agent/test/script/shell/stressScript
new file mode 100755
index 0000000000..9db71df5f2
--- /dev/null
+++ b/polux/application/agent/test/script/shell/stressScript
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+if [ $# = 0 ]
+ then
+ echo "Usage: launch this script with the modem IP address as command line argument"
+ exit 1
+fi
+
+X=0
+Y=0
+
+while [ $X -le 20 ]
+do
+ echo $X
+ snmpwalk -c public -v 2c -r 0 -M ../../../mibs -m ALL $1 1.3.6.1.4.1.22764.1
+ snmpwalk -c public -v 2c -r 0 -M ../../../mibs -m ALL $1 1.3.6.1.4.1.22764.2
+
+ if [ $Y = 50 ] # if Y=50 then wait for X seconds
+ then
+ sleep $5
+ Y=0
+ fi
+ X=$((X+1))
+ Y=$((Y+1))
+done